org.jfree.xml.factory.objects

## Class SimpleDateFormatObjectDescription

- java.lang.Object
- - org.jfree.xml.factory.objects.AbstractObjectDescription
  - - org.jfree.xml.factory.objects.BeanObjectDescription
    - - org.jfree.xml.factory.objects.SimpleDateFormatObjectDescription

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, ObjectDescription

    public class SimpleDateFormatObjectDescription
    extends BeanObjectDescription

An object-description for a `SimpleDateFormat` object.

Author:
  Thomas Morgner
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`SimpleDateFormatObjectDescription()` Creates a new object description.
`SimpleDateFormatObjectDescription(java.lang.Class className)` Creates a new object description.
`SimpleDateFormatObjectDescription(java.lang.Class className, boolean init)` Creates a new object description.

### Method Summary

Methods
`java.lang.Object` `createObject()` Creates an object based on this description.
`void` `setParameterFromObject(java.lang.Object o)` Sets the parameters of this description object to match the supplied object.

### Methods inherited from class org.jfree.xml.factory.objects.BeanObjectDescription

`ignoreParameter, isParameterIgnored`

### Methods inherited from class org.jfree.xml.factory.objects.AbstractObjectDescription

`configure, convertPrimitiveClass, equals, getConfig, getDefinedParameterNames, getInstance, getObjectClass, getParameter, getParameterDefinition, getParameterNames, getUnconfiguredInstance, hashCode, setParameter, setParameterDefinition`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SimpleDateFormatObjectDescription

    public SimpleDateFormatObjectDescription()

Creates a new object description.

#### SimpleDateFormatObjectDescription

    public SimpleDateFormatObjectDescription(java.lang.Class className)

Creates a new object description.

Parameters:
  `className` - the class.

#### SimpleDateFormatObjectDescription

    public SimpleDateFormatObjectDescription(java.lang.Class className,
                                     boolean init)

Creates a new object description.

Parameters:
  `className` - the class.
  `init` - initialise?

### Method Detail

#### setParameterFromObject

    public void setParameterFromObject(java.lang.Object o)
                                throws ObjectFactoryException

Sets the parameters of this description object to match the supplied object.

Specified by:
  `setParameterFromObject` in interface `ObjectDescription`
Overrides:
  `setParameterFromObject` in class `BeanObjectDescription`
Parameters:
  `o` - the object.
Throws:
  `ObjectFactoryException` - if there is a problem while reading the properties of the given object.

#### createObject

    public java.lang.Object createObject()

Creates an object based on this description.

Specified by:
  `createObject` in interface `ObjectDescription`
Overrides:
  `createObject` in class `BeanObjectDescription`
Returns:
  The object.